package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ptm;
import com.brilliance.isc.vo.manager.PtmVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface PtmMapper {

    int insert(Ptm record);

    int insertSelective(Ptm record);

    int updateByPrimaryKeySelective(Ptm record);

    int updateByPrimaryKey(Ptm record);

    int deleteByPrimaryKey(Ptm record);

    int deleteByIds(Collection<Object> collection);

    Ptm selectByPrimaryKey(Ptm record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ptm> dyncRead(Map<String,Object> dyncMap);

    List<Ptm> getPtmByConditionSql(@Param("sql") String sql);

    List<PtmVo> queryAllByLimit(PtmVo ptmVo);

    List<PtmVo> queryByPtyinrAndBic(@Param("ptmVo") PtmVo ptmVo, @Param("ptalist") List<String> ptalist);

    List<Ptm> listAllByVo(PtmVo ptmVo);

}